## r-cran-xml2 1.0.0

=== DESCRIPTION ===
Package: xml2
Version: 1.0.0
Title: Parse XML
Description: Work with XML files using a simple, consistent interface. Built on
    top of the 'libxml2' C library.
Authors@R: c(
    person("Hadley", "Wickham", , "hadley@rstudio.com", c("aut", "cre")),
    person("James", "Hester", , "james.hester@rstudio.com", "aut"),
    person("Jeroen", "Ooms", role = "ctb"),
    person("RStudio", role = "cph"),
    person("R Foundation", role = "ctb",
      comment = "Copy of R-project homepage cached as example")
    )
URL: https://github.com/hadley/xml2/
BugReports: https://github.com/hadley/xml2/issues/
Depends: R (>= 3.1.0)
Imports: Rcpp
LinkingTo: Rcpp (>= 0.11.4.6), BH
Suggests: testthat, curl, covr, knitr, rmarkdown, magrittr, httr
SystemRequirements: libxml2: libxml2-dev (deb), libxml2-devel (rpm)
License: GPL (>= 2)
RoxygenNote: 5.0.1
VignetteBuilder: knitr
NeedsCompilation: yes
Packaged: 2016-06-23 22:32:03 UTC; jhester
Author: Hadley Wickham [aut, cre],
  James Hester [aut],
  Jeroen Ooms [ctb],
  RStudio [cph],
  R Foundation [ctb] (Copy of R-project homepage cached as example)
Maintainer: Hadley Wickham <hadley@rstudio.com>
Repository: CRAN
Date/Publication: 2016-06-24 11:57:15

## r-cran-xml2 0.1.2

=== debian/changelog ===
r-cran-xml2 (0.1.2-2) unstable; urgency=medium

  * Add missing dependency: r-cran-rcpp
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Thu, 28 Apr 2016 08:26:49 +0200

r-cran-xml2 (0.1.2-1) unstable; urgency=low

  * Initial release (Closes: #819553)

 -- Andreas Tille <tille@debian.org>  Wed, 30 Mar 2016 15:01:49 +0200

=== debian/control ===
Source: r-cran-xml2
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               cdbs,
               r-base-dev,
               r-cran-rcpp,
               libxml2-dev,
               libboost-dev,
               libjs-jquery
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-xml2/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-xml2/trunk/
Homepage: https://cran.r-project.org/web/packages/xml2/

Package: r-cran-xml2
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${R:Depends},
         r-cran-rcpp
Description: GNU R XML parser
 This GNU R package works with XML files using a simple, consistent
 interface. Built on top of the 'libxml2' C library.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/R/debian/r-cran.mk

install/$(package)::
	sed -i -e 's|http.*/jquery.min.js|file://usr/share/javascript/jquery/jquery.min.js|' \
		$(debRlib)/$(cranName)/extdata/r-project.html

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/xml2_([-0-9\.]*).tar.gz

## r-cran-xml2 1.1.0

=== debian/changelog ===
r-cran-xml2 (1.1.0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Tille <tille@debian.org>  Fri, 09 Jun 2017 15:14:21 +0200

r-cran-xml2 (1.1.0-1) unstable; urgency=medium

  * New upstream version
  * debhelper 10

 -- Andreas Tille <tille@debian.org>  Wed, 11 Jan 2017 09:02:13 +0100

r-cran-xml2 (1.0.0-1) unstable; urgency=medium

  * New upstream version
  * Convert to dh-r
  * Canonical homepage for CRAN
  * d/watch: version=4

 -- Andreas Tille <tille@debian.org>  Wed, 16 Nov 2016 11:10:54 +0100

r-cran-xml2 (0.1.2-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Tille <tille@debian.org>  Tue, 12 Apr 2016 22:50:16 +0200

=== debian/control ===
Source: r-cran-xml2
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-r,
               r-base-dev,
               r-cran-rcpp (>= 0.11.4.6),
               libxml2-dev,
               libboost-dev,
               libjs-jquery
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-xml2/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-xml2/trunk/
Homepage: https://cran.r-project.org/package=xml2

Package: r-cran-xml2
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${R:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R XML parser
 This GNU R package works with XML files using a simple, consistent
 interface. Built on top of the 'libxml2' C library.

## r-cran-xml2 1.1.1

=== debian/changelog ===
r-cran-xml2 (1.1.1-2) unstable; urgency=medium

  * Team upload
  * Uncompress test files to fix autopkgtests

 -- Graham Inggs <ginggs@debian.org>  Sat, 14 Oct 2017 07:18:23 +0000

r-cran-xml2 (1.1.1-1) unstable; urgency=medium

  * New upstream version
  * Moved packaging from SVN to Git
  * Standards-Version: 4.1.1
  * Instead of providing privacy breaching html pointing to external JS
    files packaged versions are used.  The two JS in question will be
    provided by packages libjs-twitter-bootstrap, r-cran-shiny.  Since
    r-cran-shiny pulls a lot of other R packages it is added as Suggests
    to not bloat users system for the only reason to support outdated
    IE browsers.  libjs-twitter-bootstrap is added as Recommends since
    it does not have so heavy dependencies.

 -- Andreas Tille <tille@debian.org>  Fri, 13 Oct 2017 09:43:12 +0200

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,9 @@
                libxml2-dev,
                libboost-dev,
                libjs-jquery
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-xml2/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-xml2/trunk/
+Standards-Version: 4.1.1
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-xml2.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-xml2.git
 Homepage: https://cran.r-project.org/package=xml2
 
 Package: r-cran-xml2
@@ -21,7 +21,9 @@
          ${shlibs:Depends},
          ${R:Depends}
 Recommends: ${R:Recommends}
-Suggests: ${R:Suggests}
+         libjs-twitter-bootstrap
+Suggests: ${R:Suggests},
+          r-cran-shiny
 Description: GNU R XML parser
  This GNU R package works with XML files using a simple, consistent
  interface. Built on top of the 'libxml2' C library.

## r-cran-xml2 1.2.0

=== DESCRIPTION ===
Package: xml2
Version: 1.2.0
Title: Parse XML
Description: Work with XML files using a simple, consistent interface. Built on
    top of the 'libxml2' C library.
Authors@R: c(
    person("Hadley", "Wickham", , "hadley@rstudio.com", "aut"),
    person("James", "Hester", , "james.hester@rstudio.com", c("aut", "cre")),
    person("Jeroen", "Ooms", role = "aut"),
    person("RStudio", role = "cph"),
    person("R Foundation", role = "ctb",
      comment = "Copy of R-project homepage cached as example")
    )
URL: https://github.com/r-lib/xml2
BugReports: https://github.com/r-lib/xml2/issues
Depends: R (>= 3.1.0)
Imports: Rcpp
LinkingTo: Rcpp (>= 0.12.12)
Suggests: testthat, curl, covr, knitr, rmarkdown, magrittr, httr
SystemRequirements: libxml2: libxml2-dev (deb), libxml2-devel (rpm)
License: GPL (>= 2)
RoxygenNote: 6.0.1
VignetteBuilder: knitr
Collate: 'RcppExports.R' 'as_list.R' 'xml_parse.R' 'as_xml_document.R'
        'classes.R' 'init.R' 'paths.R' 'utils.R' 'xml_attr.R'
        'xml_children.R' 'xml_find.R' 'xml_modify.R' 'xml_name.R'
        'xml_namespaces.R' 'xml_path.R' 'xml_schema.R'
        'xml_serialize.R' 'xml_structure.R' 'xml_text.R' 'xml_type.R'
        'xml_url.R' 'xml_write.R' 'zzz.R'
NeedsCompilation: yes
Packaged: 2018-01-23 14:02:37 UTC; jhester
Author: Hadley Wickham [aut],
  James Hester [aut, cre],
  Jeroen Ooms [aut],
  RStudio [cph],
  R Foundation [ctb] (Copy of R-project homepage cached as example)
Maintainer: James Hester <james.hester@rstudio.com>
Repository: CRAN
Date/Publication: 2018-01-24 14:50:28 UTC

=== debian/changelog ===
r-cran-xml2 (1.2.0-3) unstable; urgency=medium

  * Do not depend from libjs-twitter-bootstrap any more.  Since
    libjs-twitter-bootstrap is removed from Debian two small JS libs are
    now provided as code copes inside r-cran-xml2
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Tue, 23 Oct 2018 08:38:20 +0200

r-cran-xml2 (1.2.0-2) unstable; urgency=medium

  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Wed, 20 Jun 2018 22:54:30 +0200

r-cran-xml2 (1.2.0-1) unstable; urgency=medium

  * New upstream version
  * Secure URI in watch file
  * Standards-Version: 4.1.3
  * debhelper 11
  * Update versioned Build-Depends: r-cran-rcpp (>= 0.12.12)

 -- Andreas Tille <tille@debian.org>  Thu, 22 Feb 2018 10:08:23 +0100

=== debian/control ===
Source: r-cran-xml2
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-rcpp,
               libxml2-dev,
               libboost-dev,
               libjs-jquery
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-xml2
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-xml2.git
Homepage: https://cran.r-project.org/package=xml2

Package: r-cran-xml2
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R XML parser
 This GNU R package works with XML files using a simple, consistent
 interface. Built on top of the 'libxml2' C library.

## r-cran-xml2 1.3.1

=== DESCRIPTION ===
Package: xml2
Title: Parse XML
Version: 1.3.1
Authors@R: 
    c(person(given = "Hadley",
             family = "Wickham",
             role = "aut",
             email = "hadley@rstudio.com"),
      person(given = "Jim",
             family = "Hester",
             role = c("aut", "cre"),
             email = "jim.hester@rstudio.com"),
      person(given = "Jeroen",
             family = "Ooms",
             role = "aut"),
      person(given = "RStudio",
             role = "cph"),
      person(given = "R Foundation",
             role = "ctb",
             comment = "Copy of R-project homepage cached as example"))
Description: Work with XML files using a simple, consistent
    interface. Built on top of the 'libxml2' C library.
License: GPL (>= 2)
URL: https://xml2.r-lib.org/, https://github.com/r-lib/xml2
BugReports: https://github.com/r-lib/xml2/issues
Depends: R (>= 3.1.0)
Imports: methods
Suggests: covr, curl, httr, knitr, magrittr, mockery, rmarkdown,
        testthat (>= 2.1.0)
VignetteBuilder: knitr
Encoding: UTF-8
RoxygenNote: 7.1.0
SystemRequirements: libxml2: libxml2-dev (deb), libxml2-devel (rpm)
Collate: 'S4.R' 'as_list.R' 'xml_parse.R' 'as_xml_document.R'
        'classes.R' 'init.R' 'paths.R' 'utils.R' 'xml_attr.R'
        'xml_children.R' 'xml_find.R' 'xml_modify.R' 'xml_name.R'
        'xml_namespaces.R' 'xml_path.R' 'xml_schema.R'
        'xml_serialize.R' 'xml_structure.R' 'xml_text.R' 'xml_type.R'
        'xml_url.R' 'xml_write.R' 'zzz.R'
NeedsCompilation: yes
Packaged: 2020-04-08 19:57:50 UTC; jhester
Author: Hadley Wickham [aut],
  Jim Hester [aut, cre],
  Jeroen Ooms [aut],
  RStudio [cph],
  R Foundation [ctb] (Copy of R-project homepage cached as example)
Maintainer: Jim Hester <jim.hester@rstudio.com>
Repository: CRAN
Date/Publication: 2020-04-09 06:30:02 UTC

=== debian/changelog ===
r-cran-xml2 (1.3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Sun, 12 Apr 2020 11:59:26 +0200

r-cran-xml2 (1.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Testsuite: autopkgtest-pkg-r (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Sat, 04 Apr 2020 18:07:40 +0200

r-cran-xml2 (1.2.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Remove d/patches/libxml2_version.patch
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Fri, 20 Mar 2020 08:51:03 +0100

r-cran-xml2 (1.2.2-4) unstable; urgency=medium

  * Team upload.
  * Set minimum required version of libxml2-dev to 2.9.10.
     (Thanks to Mattia Rizzolo)
  * Standards-Version: 4.5.0

 -- Dylan Aïssi <daissi@debian.org>  Fri, 06 Mar 2020 08:21:35 +0100

r-cran-xml2 (1.2.2-3) unstable; urgency=medium

  * Team upload.
  * debian/patches/libxml2_version.patch: Support libxml2 2.9.10 with a patch
    from upstream (Closes: #952695)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 03 Mar 2020 15:58:15 +0100

r-cran-xml2 (1.2.2-2) unstable; urgency=medium

  * Fix symlink of html5shiv.min.js
    Closes: #946566
  * Standards-Version: 4.4.1
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g
  * Set upstream metadata fields: Bug-Submit, Repository.

 -- Andreas Tille <tille@debian.org>  Wed, 18 Dec 2019 07:48:35 +0100

r-cran-xml2 (1.2.2-1) unstable; urgency=medium

  * New upstream version
  * Set upstream metadata fields: Archive, Bug-Database, Repository.

 -- Andreas Tille <tille@debian.org>  Wed, 04 Sep 2019 11:47:54 +0200

r-cran-xml2 (1.2.1-2) unstable; urgency=medium

  * Team upload
  * Only depend on node-html5shiv on architectures where nodejs is
    available, otherwise r-cran-xml2 is not installable

 -- Graham Inggs <ginggs@debian.org>  Wed, 21 Aug 2019 10:57:46 +0000

r-cran-xml2 (1.2.1-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Test-Depends: r-cran-mockery
  * Hack around a problematic test
  * Use node-html5shiv to provide html5shiv.min.js instead of manual download
  * Enhance description

 -- Andreas Tille <tille@debian.org>  Wed, 31 Jul 2019 10:37:14 +0200

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-mockery
Restrictions: allow-stderr

## r-cran-xml2 1.3.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: xml2
 Title: Parse XML
-Version: 1.3.1
+Version: 1.3.2
 Authors@R: 
     c(person(given = "Hadley",
              family = "Wickham",
@@ -38,7 +38,7 @@
         'xml_serialize.R' 'xml_structure.R' 'xml_text.R' 'xml_type.R'
         'xml_url.R' 'xml_write.R' 'zzz.R'
 NeedsCompilation: yes
-Packaged: 2020-04-08 19:57:50 UTC; jhester
+Packaged: 2020-04-23 15:45:47 UTC; jhester
 Author: Hadley Wickham [aut],
   Jim Hester [aut, cre],
   Jeroen Ooms [aut],
@@ -46,4 +46,4 @@
   R Foundation [ctb] (Copy of R-project homepage cached as example)
 Maintainer: Jim Hester <jim.hester@rstudio.com>
 Repository: CRAN
-Date/Publication: 2020-04-09 06:30:02 UTC
+Date/Publication: 2020-04-23 22:00:03 UTC

=== debian/changelog ===
r-cran-xml2 (1.3.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Fri, 24 Apr 2020 09:10:50 +0200

=== debian/control ===
Source: r-cran-xml2
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               libxml2-dev (>= 2.9.10),
               libboost-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-xml2
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-xml2.git
Homepage: https://cran.r-project.org/package=xml2
Rules-Requires-Root: no

Package: r-cran-xml2
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         node-html5shiv [amd64 arm64 armhf i386 mips64el mipsel ppc64el s390x ppc64],
         libjs-jquery
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R XML parser
 This GNU R package works with XML files using a simple, consistent
 interface. Built on top of the 'libxml2' C library.
 .
 Modifying existing XML can be done in xml2 by using the replacement functions
 of the accessors. They all have methods for both individual `xml_node` objects
 as well as `xml_nodeset` objects. If a vector of values is provided it is
 applied piecewise over the nodeset, otherwise the value is recycled.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_install:
	dh_install
	find debian -name r-project.html -exec \
		sed -i -e 's|http.*/jquery.min.js|file://usr/share/javascript/jquery/jquery.min.js|' \{\} \;

## r-cran-xml2 1.3.3

=== DESCRIPTION ===
Package: xml2
Title: Parse XML
Version: 1.3.3
Authors@R: 
    c(person(given = "Hadley",
             family = "Wickham",
             role = c("aut", "cre"),
             email = "hadley@rstudio.com"),
      person(given = "Jim",
             family = "Hester",
             role = "aut"),
      person(given = "Jeroen",
             family = "Ooms",
             role = "aut"),
      person(given = "RStudio",
             role = "cph"),
      person(given = "R Foundation",
             role = "ctb",
             comment = "Copy of R-project homepage cached as example"))
Description: Work with XML files using a simple, consistent
    interface. Built on top of the 'libxml2' C library.
License: MIT + file LICENSE
URL: https://xml2.r-lib.org/, https://github.com/r-lib/xml2
BugReports: https://github.com/r-lib/xml2/issues
Depends: R (>= 3.1.0)
Imports: methods
Suggests: covr, curl, httr, knitr, magrittr, mockery, rmarkdown,
        testthat (>= 2.1.0)
VignetteBuilder: knitr
Encoding: UTF-8
RoxygenNote: 7.1.1
SystemRequirements: libxml2: libxml2-dev (deb), libxml2-devel (rpm)
Collate: 'S4.R' 'as_list.R' 'xml_parse.R' 'as_xml_document.R'
        'classes.R' 'init.R' 'paths.R' 'utils.R' 'xml_attr.R'
        'xml_children.R' 'xml_find.R' 'xml_modify.R' 'xml_name.R'
        'xml_namespaces.R' 'xml_path.R' 'xml_schema.R'
        'xml_serialize.R' 'xml_structure.R' 'xml_text.R' 'xml_type.R'
        'xml_url.R' 'xml_write.R' 'zzz.R'
NeedsCompilation: yes
Packaged: 2021-11-29 17:55:43 UTC; jhester
Author: Hadley Wickham [aut, cre],
  Jim Hester [aut],
  Jeroen Ooms [aut],
  RStudio [cph],
  R Foundation [ctb] (Copy of R-project homepage cached as example)
Maintainer: Hadley Wickham <hadley@rstudio.com>
Repository: CRAN
Date/Publication: 2021-11-30 14:40:02 UTC

=== debian/changelog ===
r-cran-xml2 (1.3.3-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sat, 04 Dec 2021 21:59:38 +0100

r-cran-xml2 (1.3.2-2) unstable; urgency=medium

  * Team Upload.
  [ Andreas Tille ]
  * Remove hack for autopkgtest

  [ Nilesh Patra ]
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)

 -- Nilesh Patra <nilesh@debian.org>  Thu, 23 Sep 2021 20:18:06 +0530

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                libxml2-dev (>= 2.9.10),
                libboost-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-xml2
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-xml2.git
 Homepage: https://cran.r-project.org/package=xml2

## r-cran-xml2 1.3.5

=== DESCRIPTION ===
Package: xml2
Title: Parse XML
Version: 1.3.5
Authors@R: c(
    person("Hadley", "Wickham", , "hadley@rstudio.com", role = c("aut", "cre")),
    person("Jim", "Hester", role = "aut"),
    person("Jeroen", "Ooms", role = "aut"),
    person("RStudio", role = c("cph", "fnd")),
    person("R Foundation", role = "ctb",
           comment = "Copy of R-project homepage cached as example")
  )
Description: Work with XML files using a simple, consistent interface.
    Built on top of the 'libxml2' C library.
License: MIT + file LICENSE
URL: https://xml2.r-lib.org/, https://github.com/r-lib/xml2
BugReports: https://github.com/r-lib/xml2/issues
Depends: R (>= 3.1.0)
Imports: methods
Suggests: covr, curl, httr, knitr, magrittr, mockery, rmarkdown,
        testthat (>= 2.1.0)
VignetteBuilder: knitr
Config/Needs/website: tidyverse/tidytemplate
Encoding: UTF-8
RoxygenNote: 7.2.3
SystemRequirements: libxml2: libxml2-dev (deb), libxml2-devel (rpm)
Collate: 'S4.R' 'as_list.R' 'xml_parse.R' 'as_xml_document.R'
        'classes.R' 'init.R' 'paths.R' 'utils.R' 'xml_attr.R'
        'xml_children.R' 'xml_find.R' 'xml_modify.R' 'xml_name.R'
        'xml_namespaces.R' 'xml_path.R' 'xml_schema.R'
        'xml_serialize.R' 'xml_structure.R' 'xml_text.R' 'xml_type.R'
        'xml_url.R' 'xml_write.R' 'zzz.R'
NeedsCompilation: yes
Packaged: 2023-06-29 13:52:10 UTC; hadleywickham
Author: Hadley Wickham [aut, cre],
  Jim Hester [aut],
  Jeroen Ooms [aut],
  RStudio [cph, fnd],
  R Foundation [ctb] (Copy of R-project homepage cached as example)
Maintainer: Hadley Wickham <hadley@rstudio.com>
Repository: CRAN
Date/Publication: 2023-07-06 08:00:02 UTC

=== debian/changelog ===
r-cran-xml2 (1.3.5-1) unstable; urgency=medium

  * New upstream version
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 21 Jul 2023 17:17:49 +0200

r-cran-xml2 (1.3.4-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 29 Jun 2023 21:24:37 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: r-cran-xml2
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-xml2
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-xml2.git
+Homepage: https://cran.r-project.org/package=xml2
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               libxml2-dev (>= 2.9.10),
+               libxml2-dev,
                libboost-dev
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-xml2
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-xml2.git
-Homepage: https://cran.r-project.org/package=xml2
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-xml2
 Architecture: any

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-covr,
        r-cran-curl,
        r-cran-httr,
        r-cran-knitr,
        r-cran-magrittr,
        r-cran-mockery,
        r-cran-rmarkdown,
        r-cran-testthat (>= 2.1.0)
Restrictions: allow-stderr

## r-cran-xml2 1.3.6

=== debian/changelog ===
r-cran-xml2 (1.3.6-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 19 Dec 2023 11:25:29 +0100

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,8 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
+               r-cran-cli,
+               r-cran-rlang (>= 1.1.0),
                libxml2-dev,
                libboost-dev
 Testsuite: autopkgtest-pkg-r

=== debian/tests/control ===
--- 
+++ 
@@ -7,5 +7,5 @@
         r-cran-magrittr,
         r-cran-mockery,
         r-cran-rmarkdown,
-        r-cran-testthat (>= 2.1.0)
+        r-cran-testthat (>= 3.0.0)
 Restrictions: allow-stderr

## r-cran-xml2 1.3.7

=== debian/changelog ===
r-cran-xml2 (1.3.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * Update license and copyright information.

 -- Charles Plessy <plessy@debian.org>  Thu, 06 Mar 2025 14:39:17 +0900

## r-cran-xml2 1.3.8

=== DESCRIPTION ===
Package: xml2
Title: Parse XML
Version: 1.3.8
Authors@R: c(
    person("Hadley", "Wickham", role = "aut"),
    person("Jim", "Hester", role = "aut"),
    person("Jeroen", "Ooms", email = "jeroenooms@gmail.com", role = c("aut", "cre")),
    person("Posit Software, PBC", role = c("cph", "fnd")),
    person("R Foundation", role = "ctb",
           comment = "Copy of R-project homepage cached as example")
  )
Description: Bindings to 'libxml2' for working with XML data using a simple, 
    consistent interface based on 'XPath' expressions. Also supports XML schema
    validation; for 'XSLT' transformations see the 'xslt' package.
License: MIT + file LICENSE
URL: https://xml2.r-lib.org, https://r-lib.r-universe.dev/xml2
BugReports: https://github.com/r-lib/xml2/issues
Depends: R (>= 3.6.0)
Imports: cli, methods, rlang (>= 1.1.0)
Suggests: covr, curl, httr, knitr, magrittr, mockery, rmarkdown,
        testthat (>= 3.2.0), xslt
VignetteBuilder: knitr
Config/Needs/website: tidyverse/tidytemplate
Encoding: UTF-8
RoxygenNote: 7.2.3
SystemRequirements: libxml2: libxml2-dev (deb), libxml2-devel (rpm)
Collate: 'S4.R' 'as_list.R' 'xml_parse.R' 'as_xml_document.R'
        'classes.R' 'format.R' 'import-standalone-obj-type.R'
        'import-standalone-purrr.R' 'import-standalone-types-check.R'
        'init.R' 'nodeset_apply.R' 'paths.R' 'utils.R' 'xml2-package.R'
        'xml_attr.R' 'xml_children.R' 'xml_document.R' 'xml_find.R'
        'xml_missing.R' 'xml_modify.R' 'xml_name.R' 'xml_namespaces.R'
        'xml_node.R' 'xml_nodeset.R' 'xml_path.R' 'xml_schema.R'
        'xml_serialize.R' 'xml_structure.R' 'xml_text.R' 'xml_type.R'
        'xml_url.R' 'xml_write.R' 'zzz.R'
Config/testthat/edition: 3
NeedsCompilation: yes
Packaged: 2025-03-14 14:37:00 UTC; jeroen
Author: Hadley Wickham [aut],
  Jim Hester [aut],
  Jeroen Ooms [aut, cre],
  Posit Software, PBC [cph, fnd],
  R Foundation [ctb] (Copy of R-project homepage cached as example)
Maintainer: Jeroen Ooms <jeroenooms@gmail.com>
Repository: CRAN
Date/Publication: 2025-03-14 19:30:02 UTC

=== debian/changelog ===
r-cran-xml2 (1.3.8-1build1) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 May 2025 12:23:18 +0200

r-cran-xml2 (1.3.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Wed, 19 Mar 2025 08:55:50 +0900

## r-cran-xml2 1.4.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: xml2
 Title: Parse XML
-Version: 1.3.8
+Version: 1.4.0
 Authors@R: c(
     person("Hadley", "Wickham", role = "aut"),
     person("Jim", "Hester", role = "aut"),
@@ -22,7 +22,7 @@
 VignetteBuilder: knitr
 Config/Needs/website: tidyverse/tidytemplate
 Encoding: UTF-8
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.2
 SystemRequirements: libxml2: libxml2-dev (deb), libxml2-devel (rpm)
 Collate: 'S4.R' 'as_list.R' 'xml_parse.R' 'as_xml_document.R'
         'classes.R' 'format.R' 'import-standalone-obj-type.R'
@@ -35,7 +35,7 @@
         'xml_url.R' 'xml_write.R' 'zzz.R'
 Config/testthat/edition: 3
 NeedsCompilation: yes
-Packaged: 2025-03-14 14:37:00 UTC; jeroen
+Packaged: 2025-08-20 10:58:47 UTC; jeroen
 Author: Hadley Wickham [aut],
   Jim Hester [aut],
   Jeroen Ooms [aut, cre],
@@ -43,4 +43,4 @@
   R Foundation [ctb] (Copy of R-project homepage cached as example)
 Maintainer: Jeroen Ooms <jeroenooms@gmail.com>
 Repository: CRAN
-Date/Publication: 2025-03-14 19:30:02 UTC
+Date/Publication: 2025-08-20 17:00:02 UTC

=== debian/changelog ===
r-cran-xml2 (1.4.0-1build1) resolute; urgency=medium

  * No-change rebuild for libxml2 upper version limit.

 -- Matthias Klose <doko@debian.org>  Sat, 25 Oct 2025 08:11:53 +0200

r-cran-xml2 (1.4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version. Closes: #1107076

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 27 Aug 2025 18:30:56 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-xml2
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-xml2.git
 Homepage: https://cran.r-project.org/package=xml2
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-cran-xml2 1.4.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: xml2
 Title: Parse XML
-Version: 1.4.0
+Version: 1.4.1
 Authors@R: c(
     person("Hadley", "Wickham", role = "aut"),
     person("Jim", "Hester", role = "aut"),
@@ -17,12 +17,12 @@
 BugReports: https://github.com/r-lib/xml2/issues
 Depends: R (>= 3.6.0)
 Imports: cli, methods, rlang (>= 1.1.0)
-Suggests: covr, curl, httr, knitr, magrittr, mockery, rmarkdown,
-        testthat (>= 3.2.0), xslt
+Suggests: covr, curl, httr, knitr, mockery, rmarkdown, testthat (>=
+        3.2.0), xslt
 VignetteBuilder: knitr
 Config/Needs/website: tidyverse/tidytemplate
 Encoding: UTF-8
-RoxygenNote: 7.3.2
+RoxygenNote: 7.3.3
 SystemRequirements: libxml2: libxml2-dev (deb), libxml2-devel (rpm)
 Collate: 'S4.R' 'as_list.R' 'xml_parse.R' 'as_xml_document.R'
         'classes.R' 'format.R' 'import-standalone-obj-type.R'
@@ -35,7 +35,7 @@
         'xml_url.R' 'xml_write.R' 'zzz.R'
 Config/testthat/edition: 3
 NeedsCompilation: yes
-Packaged: 2025-08-20 10:58:47 UTC; jeroen
+Packaged: 2025-10-26 20:39:34 UTC; jeroen
 Author: Hadley Wickham [aut],
   Jim Hester [aut],
   Jeroen Ooms [aut, cre],
@@ -43,4 +43,4 @@
   R Foundation [ctb] (Copy of R-project homepage cached as example)
 Maintainer: Jeroen Ooms <jeroenooms@gmail.com>
 Repository: CRAN
-Date/Publication: 2025-08-20 17:00:02 UTC
+Date/Publication: 2025-10-27 06:10:02 UTC

=== debian/changelog ===
r-cran-xml2 (1.4.1-1) unstable; urgency=medium

  * New upstream version
    Closes: #1119020
  * Reorder sequence of d/control fields by cme (routine-update)
  * d/copyright:
     - Change packaging License to Expat
     - Add missing copyright for debian/js/respond/*
  * Fix DEP3 field Last-Update

 -- Andreas Tille <tille@debian.org>  Mon, 27 Oct 2025 11:02:46 +0100

=== debian/control ===
Source: r-cran-xml2
Standards-Version: 4.7.2
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-cli,
 r-cran-rlang (>= 1.1.0),
 libxml2-dev,
 libboost-dev,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-xml2
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-xml2.git
Homepage: https://cran.r-project.org/package=xml2
Rules-Requires-Root: no

Package: r-cran-xml2
Architecture: any
Depends:
 ${R:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 node-html5shiv [amd64 arm64 armhf i386 mips64el mipsel ppc64el s390x ppc64],
 libjs-jquery,
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: GNU R XML parser
 This GNU R package works with XML files using a simple, consistent
 interface. Built on top of the 'libxml2' C library.
 .
 Modifying existing XML can be done in xml2 by using the replacement functions
 of the accessors. They all have methods for both individual `xml_node` objects
 as well as `xml_nodeset` objects. If a vector of values is provided it is
 applied piecewise over the nodeset, otherwise the value is recycled.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-covr,
        r-cran-curl,
        r-cran-httr,
        r-cran-knitr,
        r-cran-mockery,
        r-cran-rmarkdown,
        r-cran-testthat (>= 3.2.0),
        r-cran-xslt
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/xml2_([-0-9\.]*).tar.gz

## r-cran-xml2 1.5.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: xml2
 Title: Parse XML
-Version: 1.4.1
+Version: 1.5.2
 Authors@R: c(
     person("Hadley", "Wickham", role = "aut"),
     person("Jim", "Hester", role = "aut"),
@@ -35,7 +35,7 @@
         'xml_url.R' 'xml_write.R' 'zzz.R'
 Config/testthat/edition: 3
 NeedsCompilation: yes
-Packaged: 2025-10-26 20:39:34 UTC; jeroen
+Packaged: 2026-01-17 13:03:05 UTC; jeroen
 Author: Hadley Wickham [aut],
   Jim Hester [aut],
   Jeroen Ooms [aut, cre],
@@ -43,4 +43,4 @@
   R Foundation [ctb] (Copy of R-project homepage cached as example)
 Maintainer: Jeroen Ooms <jeroenooms@gmail.com>
 Repository: CRAN
-Date/Publication: 2025-10-27 06:10:02 UTC
+Date/Publication: 2026-01-17 16:10:02 UTC

=== debian/changelog ===
r-cran-xml2 (1.5.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 12 Feb 2026 14:52:53 +0900

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: r-cran-xml2
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders:
  Andreas Tille <tille@debian.org>,
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
-Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  dh-r,
@@ -14,6 +13,8 @@
  r-cran-rlang (>= 1.1.0),
  libxml2-dev,
  libboost-dev,
+ architecture-is-64-bit,
+ architecture-is-little-endian,
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-xml2
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-xml2.git
 Homepage: https://cran.r-project.org/package=xml2

=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr
Depends:
 @,
 r-cran-covr,
 r-cran-curl,
 r-cran-httr,
 r-cran-knitr,
 r-cran-mockery,
 r-cran-rmarkdown,
 r-cran-testthat (>= 3.2.0),
 r-cran-xslt,
